| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
IG.Gr3d.VtkDecorationHandler Class Reference

Manipulates axes, labels, grids, and other decorations of graphhics plotted in VTK windows. More...

Inheritance diagram for IG.Gr3d.VtkDecorationHandler:
[legend]
Collaboration diagram for IG.Gr3d.VtkDecorationHandler:
[legend]

## Public Member Functions
| VtkDecorationHandler (VtkPlotter plotter)
| Constructor. Since no Actors or Renderers are specified, updating the containing bounding box will take into account all Actors of all Renderers that are currently attached to the window. More...
| VtkDecorationHandler (VtkPlotter plotter, bool updateImmediately)
| Constructor. Since no Actors or Renderers are specified, updating the containing bounding box will take into account all Actors of all Renderers that are currently attached to the window. More...
| VtkDecorationHandler (VtkPlotter plotter, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specified Actors. More...
| VtkDecorationHandler (VtkPlotter plotter, bool updateImmediately, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specified Actors. More...
| VtkDecorationHandler (VtkPlotter plotter, params vtkRenderer[] renderers)
| Constructor. Updating the containing bounding box will take into account all specified Renderers. More...
| VtkDecorationHandler (VtkPlotter plotter, bool updateImmediately, params vtkRenderer[] renderers)
| Constructor. Updating the containing bounding box will take into account all specified Renderers. More...
| VtkDecorationHandler (VtkPlotter plotter, vtkRenderer renderer, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specified Actors. More...
| VtkDecorationHandler (VtkPlotter plotter, bool updateImmediately, vtkRenderer renderer, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specified Actors. More...
| VtkDecorationHandler (VtkPlotter plotter, vtkRenderer[] renderers, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specified Renderers and Actors. Decorations are updated immediately when the object is constructed. If this is not desired, use the constructor where you can set the updating flag and set the corresponding argument to false. More...
| VtkDecorationHandler (VtkPlotter plotter, params vtkActor2D[] actors2D)
| Constructor. Updating the containing bounding box will take into account all specified Actors2D. More...
| VtkDecorationHandler (VtkPlotter plotter, bool updateImmediately, params vtkActor2D[] actors2D)
| Constructor. Updating the containing bounding box will take into account all specified Actors2D. More...
| VtkDecorationHandler (VtkPlotter plotter, vtkRenderer[] renderers, params vtkActor2D[] actors2D)
| Constructor. Updating the containing bounding box will take into account all specified renderers and Actors2D. More...
| VtkDecorationHandler (VtkPlotter plotter, vtkActor2D[] actors2D, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specified actors and Actors2D. More...
| VtkDecorationHandler (VtkPlotter plotter, vtkRenderer[] renderers, vtkActor2D[] actors2D, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specifiedrenderers, Actors and Actors2D. More...
| VtkDecorationHandler (VtkPlotter plotter, bool updateImmediately, vtkActor2D[] actors2D, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specified Actors and Actors2D. More...
| VtkDecorationHandler (VtkPlotter plotter, bool updateImmediately, vtkRenderer[] renderers, vtkActor2D[] actors2D, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specified Renderers and Actors. More...
| VtkDecorationHandler (vtkRenderWindow win)
| Constructor. Since no Actors or Renderers are specified, updating the containing bounding box will take into account all Actors of all Renderers that are currently attached to the window. More...
| VtkDecorationHandler (vtkRenderWindow win, bool updateImmediately)
| Constructor. Since no Actors or Renderers are specified, updating the containing bounding box will take into account all Actors of all Renderers that are currently attached to the window. More...
| VtkDecorationHandler (vtkRenderWindow win, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specified Actors. More...
| VtkDecorationHandler (vtkRenderWindow win, bool updateImmediately, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specified Actors. More...
| VtkDecorationHandler (vtkRenderWindow win, params vtkRenderer[] renderers)
| Constructor. Updating the containing bounding box will take into account all specified Renderers. More...
| VtkDecorationHandler (vtkRenderWindow win, bool updateImmediately, params vtkRenderer[] renderers)
| Constructor. Updating the containing bounding box will take into account all specified Renderers. More...
| VtkDecorationHandler (vtkRenderWindow win, vtkRenderer renderer, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specified Actors. More...
| VtkDecorationHandler (vtkRenderWindow win, bool updateImmediately, vtkRenderer renderer, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specified Actors. More...
| VtkDecorationHandler (vtkRenderWindow win, vtkRenderer[] renderers, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specified Renderers and Actors. Decorations are updated immediately when the object is constructed. If this is not desired, use the constructor where you can set the updating flag and set the corresponding argument to false. More...
| VtkDecorationHandler (vtkRenderWindow win, params vtkActor2D[] actors2D)
| Constructor. Updating the containing bounding box will take into account all specified Actors2D. More...
| VtkDecorationHandler (vtkRenderWindow win, bool updateImmediately, params vtkActor2D[] actors2D)
| Constructor. Updating the containing bounding box will take into account all specified Actors2D. More...
| VtkDecorationHandler (vtkRenderWindow win, vtkRenderer[] renderers, params vtkActor2D[] actors2D)
| Constructor. Updating the containing bounding box will take into account all specified renderers and Actors2D. More...
| VtkDecorationHandler (vtkRenderWindow win, vtkActor2D[] actors2D, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specified actors and Actors2D. More...
| VtkDecorationHandler (vtkRenderWindow win, vtkRenderer[] renderers, vtkActor2D[] actors2D, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specifiedrenderers, Actors and Actors2D. More...
| VtkDecorationHandler (vtkRenderWindow win, bool updateImmediately, vtkActor2D[] actors2D, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specified Actors and Actors2D. More...
| VtkDecorationHandler (vtkRenderWindow win, bool updateImmediately, vtkRenderer[] renderers, vtkActor2D[] actors2D, params vtkActor[] actors)
| Constructor. Updating the containing bounding box will take into account all specified Renderers and Actors. More...
void | ChangeWindow (vtkRenderWindow win)
| Changes the VTK render window of the current decoration handler. More...
void | AddActors (params vtkActor[] actors)
| Adds the specified rendereds to the list of actors that are contained in the scene for which axes and other decoration entities are manipulated. Uniqueness is not guaranteed, i.e. the same actor can be added several times. More...
void | RemoveActors (params vtkActor[] actors)
| Removes the specified actors from the list of actors for which axes and other decorations are handled. If some actor is included in the list multiple times then it is removed until it is no longer contained. More...
void | AddActors2D (params vtkActor2D[] actors2D)
| Adds the specified rendereds to the list of actors2D that are contained in the scene for which axes and other decoration entities are manipulated. Uniqueness is not guaranteed, i.e. the same actor can be added several times. More...
void | RemoveActors2D (params vtkActor2D[] actors2D)
| Removes the specified actors2D from the list of actors2D for which axes and other decorations are handled. If some actor is included in the list multiple times then it is removed until it is no longer contained. More...
void | AddRenderers (params vtkRenderer[] renderers)
| Adds the specified rendereds to the list of renderers that are contained in the scene for which axes and other decoration entities are manipulated. Uniqueness is not guaranteed, i.e. the same actor can be added several times. More...
void | RemoveRenderers (params vtkRenderer[] renderers)
| Removes the specified renderers from the list of renderers for which axes and other decorations are handled. If some renderer is included in the list multiple times then it is removed until it is no longer contained. More...
void | ResetBounds ()
| Resets the bounds. More...
void | SetBounds ()
| Sets the bounds for actors that to eventual internal bounds. More...
void | SetBounds (IBoundingBox bounds)
| Sets the bounds for actors that must fill the bounding box aroung all graphic objects, to the specifid values. More...
void | SetCubeAxesLabels (string xLabel, string yLable, string zLabel)
void | SetActorScale (double X, double Y, double Z)
void | AddActorsToPlotter ()
| Adds all actors from the current decoration handler to the plotter that it is assigned to. More...
void | AddActorsToPlotter (VtkPlotter plotter)
| Adds all actors from the current plot to the specified plotter. More...
void | AddActorsToRenderer ()
| Adds all actors from the current decoraton handler to its current renderer. More...
void | AddActorsToRenderer (vtkRenderer renderer)
| Adds all actors from the current decoration handler to the specified rendeerr. More...
virtual void | Update ()
| Updates decorations. More...

## Static Public Member Functions
static void | SetCubeAxesActorBounds (vtkCubeAxesActor actor, IBoundingBox newBounds)
| Sets position and sizing of the specified cube axes actor according to the specified bounds. More...

## Protected Member Functions
bool | IsHandlersInternal (vtkActor actor)
| Returns true if the specified actor is internal (auxiliary) actor of the current object, false otherwise. In such a case the actor will not take part in some operations, e.g. in determining the bounding box of the graphic scene. More...
bool | IsHandlersInternal (vtkRenderer renderer)
| Returns true if the specified renderer is internal (auxiliary) renderer of the current object, false otherwise. In such a case the renderer will not take part in some operations, e.g. in determining the bounding box of the graphic scene. More...
void | UpdateBounds ()
| Updates the bounds according to eventual internal bounds (defined by actors and renderers included in the current decorator). More...
void | UpdateBounds (IBoundingBox bounds)
| Updates the bounds according to eventual internal bounds (defined by actors and renderers included in the current decorator), and additionally also according to the specified bounds. More...
void | UpdateBoundsInternal ()
| Updates the bounding box Bounds in such a way that it contains all actors from the internal list of actors and all renderers from the internal list of renderers. More...

## Protected Attributes
VtkPlotter | _plotter
vtkRenderer | _decorationRenderer
vtkCubeAxesActor | _cubeAxesActor

## Properties
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock. More...
VtkPlotter | Plotter`[get, set]`
VtkPlotter.Accessor | PlotterAccessor`[get, private set]`
| Accessor object that grants access to some protected fields and properties of the VTK plotter (property Plotter). More...
vtkRenderWindow | Window`[get, protected set]`
| VTK window in which plotting is performed. More...
List< vtkActor > | Actors`[get]`
| A list of Actors that are a part of the graphic scene for which axes and other decorations are handled. Mainly used for updating the bounding box. WARNING: Whenever possible, this list should not be accessed directly. Use (create them, if necessary) other methods that perform specific operations on the lisr. More...
List< vtkActor2D > | Actors2D`[get]`
| A list of Actors2D that are a part of the graphic scene for which axes and other decorations are handled. Mainly used for updating the bounding box. WARNING: Whenever possible, this list should not be accessed directly. Use (create them, if necessary) other methods that perform specific operations on the lisr. More...
List< vtkRenderer > | Renderers`[get]`
| A list of Renderers that are a part of the graphic scene for which axes and other decorations are handled. Mainly used for updating the bounding box. WARNING: Whenever possible, this list should not be accessed directly. Use (create them, if necessary) other methods that perform specific operations on the lisr. More...
bool | IsBoundsUpdated`[get, private set]`
| Whether bounds are updated or not, according to internal actors and renderers. More...
IBoundingBox | Bounds`[get, set]`
| Bounds of the graphic scene for which axes and other decorations are handled. More...
vtkRenderer | DecorationRenderer`[get, protected set]`
| Gets the renderer used for decoration entities (axes, etc.). Currently, no special renderer is created for tgis purpose, but one is obtained either from the list of renderers included in the 3D graphics scene, or one is obtained form the VTK window attached to this object. Lazy evaluation. Renderer is obtained only when first needed. More...
vtkLegendBoxActor | LegendBoxActor`[get, protected set]`
bool | ShowLegendBox`[get, set]`
| Whether legend-box is shown or not. Default is false. More...
int | LegendBoxNumEntries`[get, set]`
| Number of labels in legend-box. Default 1. More...
string[] | LegendBoxTitles`[get, set]`
| A table of Titles for LegendBox Default is "Title 1" More...
vtkPolyData | Symbol`[get, set]`
| A table of symbols for LegendBox Default is "Sphere symbol" More...
vtkScalarBarActor | ScalarBarActor`[get, protected set]`
vtkLookupTable | ScalarBarLookupTable`[get, set]`
ColorScale | LookUpTableColorScale`[get, set]`
| Color scale for lookuptable. Default is rainbow. More...
int | LookUpTableNumTableValues`[get, set]`
| Number of table values. Default is 100. More...
double | LookUpTableAlpha`[get, set]`
| Alpha value for lookuptable. Default is 1. More...
double | LookUpTableMinHue`[get, set]`
| Minimum hue value for lookuptable. Default is 0. More...
double | LookUpTableMaxHue`[get, set]`
| Minimum hue value for lookuptable. Default is 1. More...
double | LookUpTableMinSaturation`[get, set]`
| Minimum saturation value for lookuptable. Default is 0. More...
double | LookUpTableMaxSaturation`[get, set]`
| Maximum saturation value for lookuptable. Default is 1. More...
double | LookUpTableMinValue`[get, set]`
| Minimum value for lookuptable. Default is 0. More...
double | LookUpTableMaxValue`[get, set]`
| Maximum value for lookuptable. Default is 1. More...
double | LookUpTableMinRange`[get, set]`
| Minimum range for lookuptable. Default is 0. More...
double | LookUpTableMaxRange`[get, set]`
| Maximum range for lookuptable. Default is 1. More...
int | LookUpTableNumColors`[get, set]`
| Number fo collors in lookuptable. Default is 100. More...
bool | ShowScalarBar`[get, set]`
| Whether scalar-bar is shown or not. Default is true. More...
string | ScalarBarTitle`[get, set]`
| Title for scalar bar. More...
int | ScalarBarNumberOfLabels`[get, set]`
| Numer of labels on the scalar bar. More...
int | ScalarBarOrientation`[get, set]`
| Orientation of the scalar bar. 0 - Horizontal; 1 - Vertical More...
double | ScalarBarXPosition`[get, set]`
| Position X of the scalar bar. More...
double | ScalarBarYPosition`[get, set]`
| Position Y of the scalar bar. More...
double | ScalarBarHeight`[get, set]`
| Hight of the scalar bar. More...
double | ScalarBarWidth`[get, set]`
| Width of the scalar bar. More...
vtkCubeAxesActor | CubeAxesActor`[get, protected set]`
| Actor that is used for manipulating cube axes. More...
vtkProperty | CubeAxesProperties`[get]`
| Gets the Axes' properties, through wihich the caller can set additional properties that are not enabled by the current helper object. More...
string | CubeAxesXLabel`[get, set]`
| Label for X axis. More...
string | CubeAxesYLabel`[get, set]`
| Label for Y axis. More...
string | CubeAxesZLabel`[get, set]`
| Label for Z axis. More...
VtkFlyMode | CubeAxesFlyMode`[get, set]`
| Positioning mode ("fly mode") of the axes. Default is VtkFlyMode.Static. More...
bool | ShowCubeAxes`[get, set]`
| Whether axes are shown or not. Default is true. More...
color | CubeAxesColor`[get, set]`
| Gets or sets axes color. More...
double | CubeAxesWidth`[get, set]`
| Gets or sets width of the axes lines. More...
bool | UpdateWhenConstructed`[get, set]`
| Whether decorations to be drawn are added to the VTK window's renderer immediately after the current decoration handler object is constructed. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Private Member Functions
| VtkDecorationHandler ()

## Private Attributes
object | _mainLock = new object()
VtkPlotter.Accessor | _plotterAccessor
IBoundingBox | _bounds
vtkRenderWindow | _window
List< vtkActor > | _actors = new List<vtkActor>()
List< vtkActor2D > | _actors2D = new List<vtkActor2D>()
List< vtkRenderer > | _renderers = new List<vtkRenderer>()
bool | _isBoundsUpdated = false
vtkLegendBoxActor | _legendBoxActor
bool | _showLegendBox = false
int | _legendBoxNumEntries = 1
string[] | _legendBoxTitles = new string [1] {"Title 1"}
vtkPolyData | _symbol
vtkScalarBarActor | _scalarBarActor
vtkLookupTable | _scalarBarLookupTable
ColorScale | _lookUpTableColorScale
int | _lookUpTableNumTableValues = 100
double | _lookUpTableAlpha = 1
double | _lookUpTableMinHue = 0
double | _lookUpTableMaxHue = 1
double | _lookUpTableMinSaturation = 0
double | _lookUpTableMaxSaturation = 1
double | _lookUpTableMinValue
double | _lookUpTableMaxValue
double | _lookUpTableMinRange
double | _lookUpTableMaxRange
int | _lookupTableNumColors = 100
bool | _showSclarBar = false
string | _scalarBarTitle = "Values"
int | _scalarBarNumberOfLabels
int | _scalarBarOrientation
double | _scalarBarXPosition = 0.25
double | _scalarBarYPosition = 0.01
double | _scalarBarHeight = 0.1
double | _scalarBarWidth = 0.5
string | _cubeAxesXLabel
string | _cubeAxesYLabel
string | _cubeAxesZLabel
double | _actorXScale
double | _actorYScale
double | _actorZScale
VtkFlyMode | _cubeAxesFlyMode = VtkFlyMode.Static
bool | _showCubeAxes = true
color | _cubeAxesColor = new color(System.Drawing.Color.Gray)
double | _cubeAxesWidth = 1
bool | _updateWhenConstructed = true

## Static Private Attributes
static double | min = 0
static double | max = 1

## Detailed Description

Manipulates axes, labels, grids, and other decorations of graphhics plotted in VTK windows.

Currently, all the decorations are put on a single renderer that is one of the renderers that are already used. Initially the idea is that a separate renderer would be used for axes and other decorations generated and handled by this class. Since we don't currently know how one can combine multiple renderers in the same window and show contents of all of them together with the same viewing projection (is this possible at all?), we use the first renderer that is provided.

$A Igor Oct11;

## Constructor & Destructor Documentation

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( |  | ) |
| inline private

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | VtkPlotter | plotter | ) |
| inline

Constructor. Since no Actors or Renderers are specified, updating the containing bounding box will take into account all Actors of all Renderers that are currently attached to the window.

Parameters

  plotter | VTK plotter for which axes and other decoration entities are manipulated.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | VtkPlotter | plotter,
|  | bool | updateImmediately
| ) |  |
| inline

Constructor. Since no Actors or Renderers are specified, updating the containing bounding box will take into account all Actors of all Renderers that are currently attached to the window.

Parameters

  plotter | VTK plotter for which axes and other decoration entities are manipulated.
  updateImmediately | Whether decorations are updated immediately when constructed. If false then Update() must be called if one wants decorations to be displayed.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | VtkPlotter | plotter,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Actors.

Parameters

  plotter | VTK plotter for which axes and other decoration entities are manipulated.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | VtkPlotter | plotter,
|  | bool | updateImmediately,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Actors.

Parameters

  plotter | VTK plotter for which axes and other decoration entities are manipulated.
  updateImmediately | Whether decorations are updated immediately when constructed. If false then Update() must be called if one wants decorations to be displayed.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | VtkPlotter | plotter,
|  | params vtkRenderer[] | renderers
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Renderers.

Parameters

  plotter | VTK plotter for which axes and other decoration entities are manipulated.
  renderers | A list of Renderers that are a part of the graphic scene for which axes and other decorations are handled.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | VtkPlotter | plotter,
|  | bool | updateImmediately,
|  | params vtkRenderer[] | renderers
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Renderers.

Parameters

  updateImmediately | Whether decorations are updated immediately when constructed. If false then Update() must be called if one wants decorations to be displayed.
  plotter | VTK plotter for which axes and other decoration entities are manipulated.
  renderers | A list of Renderers that are a part of the graphic scene for which axes and other decorations are handled.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | VtkPlotter | plotter,
|  | vtkRenderer | renderer,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Actors.

Parameters

  plotter | VTK plotter for which axes and other decoration entities are manipulated.
  renderers | A (single) renderer that is a part of the graphic scene for which axes and other decorations are handled.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | VtkPlotter | plotter,
|  | bool | updateImmediately,
|  | vtkRenderer | renderer,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Actors.

Parameters

  plotter | VTK plotter for which axes and other decoration entities are manipulated.
  updateImmediately | Whether decorations are updated immediately when constructed. If false then Update() must be called if one wants decorations to be displayed.
  renderers | A (single) renderer that is a part of the graphic scene for which axes and other decorations are handled.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | VtkPlotter | plotter,
|  | vtkRenderer[] | renderers,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Renderers and Actors. Decorations are updated immediately when the object is constructed. If this is not desired, use the constructor where you can set the updating flag and set the corresponding argument to false.

Parameters

  plotter | VTK plotter for which axes and other decoration entities are manipulated.
  renderers | A list of Renderers that are a part of the graphic scene for which axes and other decorations are handled.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | VtkPlotter | plotter,
|  | params vtkActor2D[] | actors2D
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Actors2D.

Parameters

  plotter | VTK plotter for which axes and other decoration entities are manipulated.
  actors2D | A list of Actors2D that are a part of the graphic scene for which axes and other decorations are handled.

$A Igor Oct11, Tako78 Dec13;

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | VtkPlotter | plotter,
|  | bool | updateImmediately,
|  | params vtkActor2D[] | actors2D
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Actors2D.

Parameters

  plotter | VTK plotter for which axes and other decoration entities are manipulated.
  updateImmediately | Whether decorations are updated immediately when constructed.
  actors2D | A list of Actors2D that are a part of the graphic scene for which axes and other decorations are handled.

$A Igor Oct11, Tako78 Dec13;

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | VtkPlotter | plotter,
|  | vtkRenderer[] | renderers,
|  | params vtkActor2D[] | actors2D
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified renderers and Actors2D.

Parameters

  plotter | VTK plotter for which axes and other decoration entities are manipulated.
  renderers | A list of Renderers that are a part of the graphic scene for which axes and other decorations are handled.
  actors2D | A list of Actors2D that are a part of the graphic scene for which axes and other decorations are handled.

$A Igor Oct11, Tako78 Dec13;

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | VtkPlotter | plotter,
|  | vtkActor2D[] | actors2D,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified actors and Actors2D.

Parameters

  plotter | VTK plotter for which axes and other decoration entities are manipulated.
  actors2D | A list of Actors2D that are a part of the graphic scene for which axes and other decorations are handled.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

$A Igor Oct11, Tako78 Dec13;

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | VtkPlotter | plotter,
|  | vtkRenderer[] | renderers,
|  | vtkActor2D[] | actors2D,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specifiedrenderers, Actors and Actors2D.

Parameters

  plotter | VTK plotter for which axes and other decoration entities are manipulated.
  renderers | A list of Renderers that are a part of the graphic scene for which axes and other decorations are handled.
  actors2D | A list of Actors2D that are a part of the graphic scene for which axes and other decorations are handled.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

$A Igor Oct11, Tako78 Dec13;

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | VtkPlotter | plotter,
|  | bool | updateImmediately,
|  | vtkActor2D[] | actors2D,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Actors and Actors2D.

Parameters

  plotter | VTK plotter for which axes and other decoration entities are manipulated.
  updateImmediately | Whether decorations are updated immediately when constructed.
  actors2D | A list of Actors2D that are a part of the graphic scene for which axes and other decorations are handled.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

$A Igor Oct11, Tako78 Dec13;

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | VtkPlotter | plotter,
|  | bool | updateImmediately,
|  | vtkRenderer[] | renderers,
|  | vtkActor2D[] | actors2D,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Renderers and Actors.

Parameters

  plotter | VTK plotter for which axes and other decoration entities are manipulated.
  updateImmediately | Whether decorations are updated immediately when constructed. If false then Update() must be called if one wants decorations to be displayed.
  renderers | A list of Renderers that are a part of the graphic scene for which axes and other decorations are handled.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | vtkRenderWindow | win | ) |
| inline

Constructor. Since no Actors or Renderers are specified, updating the containing bounding box will take into account all Actors of all Renderers that are currently attached to the window.

Parameters

  win | VTK window for which axes and other decoration entities are manipulated.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | vtkRenderWindow | win,
|  | bool | updateImmediately
| ) |  |
| inline

Constructor. Since no Actors or Renderers are specified, updating the containing bounding box will take into account all Actors of all Renderers that are currently attached to the window.

Parameters

  win | VTK window for which axes and other decoration entities are manipulated.
  updateImmediately | Whether decorations are updated immediately when constructed. If false then Update() must be called if one wants decorations to be displayed.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | vtkRenderWindow | win,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Actors.

Parameters

  win | VTK window for which axes and other decoration entities are manipulated.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | vtkRenderWindow | win,
|  | bool | updateImmediately,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Actors.

Parameters

  win | VTK window for which axes and other decoration entities are manipulated.
  updateImmediately | Whether decorations are updated immediately when constructed. If false then Update() must be called if one wants decorations to be displayed.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | vtkRenderWindow | win,
|  | params vtkRenderer[] | renderers
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Renderers.

Parameters

  win | VTK window for which axes and other decoration entities are manipulated.
  renderers | A list of Renderers that are a part of the graphic scene for which axes and other decorations are handled.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | vtkRenderWindow | win,
|  | bool | updateImmediately,
|  | params vtkRenderer[] | renderers
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Renderers.

Parameters

  updateImmediately | Whether decorations are updated immediately when constructed. If false then Update() must be called if one wants decorations to be displayed.
  win | VTK window for which axes and other decoration entities are manipulated.
  renderers | A list of Renderers that are a part of the graphic scene for which axes and other decorations are handled.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | vtkRenderWindow | win,
|  | vtkRenderer | renderer,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Actors.

Parameters

  win | VTK window for which axes and other decoration entities are manipulated.
  renderers | A (single) renderer that is a part of the graphic scene for which axes and other decorations are handled.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | vtkRenderWindow | win,
|  | bool | updateImmediately,
|  | vtkRenderer | renderer,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Actors.

Parameters

  win | VTK window for which axes and other decoration entities are manipulated.
  updateImmediately | Whether decorations are updated immediately when constructed. If false then Update() must be called if one wants decorations to be displayed.
  renderers | A (single) renderer that is a part of the graphic scene for which axes and other decorations are handled.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | vtkRenderWindow | win,
|  | vtkRenderer[] | renderers,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Renderers and Actors. Decorations are updated immediately when the object is constructed. If this is not desired, use the constructor where you can set the updating flag and set the corresponding argument to false.

Parameters

  win | VTK window for which axes and other decoration entities are manipulated.
  renderers | A list of Renderers that are a part of the graphic scene for which axes and other decorations are handled.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | vtkRenderWindow | win,
|  | params vtkActor2D[] | actors2D
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Actors2D.

Parameters

  win | VTK window for which axes and other decoration entities are manipulated.
  actors2D | A list of Actors2D that are a part of the graphic scene for which axes and other decorations are handled.

$A Igor Oct11, Tako78 Dec13;

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | vtkRenderWindow | win,
|  | bool | updateImmediately,
|  | params vtkActor2D[] | actors2D
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Actors2D.

Parameters

  win | VTK window for which axes and other decoration entities are manipulated.
  updateImmediately | Whether decorations are updated immediately when constructed.
  actors2D | A list of Actors2D that are a part of the graphic scene for which axes and other decorations are handled.

$A Igor Oct11, Tako78 Dec13;

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | vtkRenderWindow | win,
|  | vtkRenderer[] | renderers,
|  | params vtkActor2D[] | actors2D
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified renderers and Actors2D.

Parameters

  win | VTK window for which axes and other decoration entities are manipulated.
  renderers | A list of Renderers that are a part of the graphic scene for which axes and other decorations are handled.
  actors2D | A list of Actors2D that are a part of the graphic scene for which axes and other decorations are handled.

$A Igor Oct11, Tako78 Dec13;

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | vtkRenderWindow | win,
|  | vtkActor2D[] | actors2D,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified actors and Actors2D.

Parameters

  win | VTK window for which axes and other decoration entities are manipulated.
  actors2D | A list of Actors2D that are a part of the graphic scene for which axes and other decorations are handled.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

$A Igor Oct11, Tako78 Dec13;

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | vtkRenderWindow | win,
|  | vtkRenderer[] | renderers,
|  | vtkActor2D[] | actors2D,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specifiedrenderers, Actors and Actors2D.

Parameters

  win | VTK window for which axes and other decoration entities are manipulated.
  renderers | A list of Renderers that are a part of the graphic scene for which axes and other decorations are handled.
  actors2D | A list of Actors2D that are a part of the graphic scene for which axes and other decorations are handled.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

$A Igor Oct11, Tako78 Dec13;

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | vtkRenderWindow | win,
|  | bool | updateImmediately,
|  | vtkActor2D[] | actors2D,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Actors and Actors2D.

Parameters

  win | VTK window for which axes and other decoration entities are manipulated.
  updateImmediately | Whether decorations are updated immediately when constructed.
  actors2D | A list of Actors2D that are a part of the graphic scene for which axes and other decorations are handled.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

$A Igor Oct11, Tako78 Dec13;

IG.Gr3d.VtkDecorationHandler.VtkDecorationHandler | ( | vtkRenderWindow | win,
|  | bool | updateImmediately,
|  | vtkRenderer[] | renderers,
|  | vtkActor2D[] | actors2D,
|  | params vtkActor[] | actors
| ) |  |
| inline

Constructor. Updating the containing bounding box will take into account all specified Renderers and Actors.

Parameters

  win | VTK window for which axes and other decoration entities are manipulated.
  updateImmediately | Whether decorations are updated immediately when constructed. If false then Update() must be called if one wants decorations to be displayed.
  renderers | A list of Renderers that are a part of the graphic scene for which axes and other decorations are handled.
  actors | A list of Actors that are a part of the graphic scene for which axes and other decorations are handled.

## Member Function Documentation

void IG.Gr3d.VtkDecorationHandler.ChangeWindow | ( | vtkRenderWindow | win | ) |
| inline

Changes the VTK render window of the current decoration handler.

Parameters

  win | Window that becomes this object's new rendering window.

void IG.Gr3d.VtkDecorationHandler.AddActors | ( | params vtkActor[] | actors | ) |
| inline

Adds the specified rendereds to the list of actors that are contained in the scene for which axes and other decoration entities are manipulated. Uniqueness is not guaranteed, i.e. the same actor can be added several times.

Parameters

  actors | Actors to be added to the list.

void IG.Gr3d.VtkDecorationHandler.RemoveActors | ( | params vtkActor[] | actors | ) |
| inline

Removes the specified actors from the list of actors for which axes and other decorations are handled. If some actor is included in the list multiple times then it is removed until it is no longer contained.

Parameters

  actors | Actors to be removed from the list.

bool IG.Gr3d.VtkDecorationHandler.IsHandlersInternal | ( | vtkActor | actor | ) |
| inline protected

Returns true if the specified actor is internal (auxiliary) actor of the current object, false otherwise. In such a case the actor will not take part in some operations, e.g. in determining the bounding box of the graphic scene.

Parameters

  actor | Actor for which we querry whether it is an internal actor of the current helper object.

void IG.Gr3d.VtkDecorationHandler.AddActors2D | ( | params vtkActor2D[] | actors2D | ) |
| inline

Adds the specified rendereds to the list of actors2D that are contained in the scene for which axes and other decoration entities are manipulated. Uniqueness is not guaranteed, i.e. the same actor can be added several times.

Parameters

  actors | Actors2D to be added to the list.

$A Igor Oct11, Tako78 Dec13;

void IG.Gr3d.VtkDecorationHandler.RemoveActors2D | ( | params vtkActor2D[] | actors2D | ) |
| inline

Removes the specified actors2D from the list of actors2D for which axes and other decorations are handled. If some actor is included in the list multiple times then it is removed until it is no longer contained.

Parameters

  actors | Actors2D to be removed from the list.

$A Igor Oct11, Tako78 Dec13;

void IG.Gr3d.VtkDecorationHandler.AddRenderers | ( | params vtkRenderer[] | renderers | ) |
| inline

Adds the specified rendereds to the list of renderers that are contained in the scene for which axes and other decoration entities are manipulated. Uniqueness is not guaranteed, i.e. the same actor can be added several times.

Parameters

  renderers | Renderers that are added to the list.

void IG.Gr3d.VtkDecorationHandler.RemoveRenderers | ( | params vtkRenderer[] | renderers | ) |
| inline

Removes the specified renderers from the list of renderers for which axes and other decorations are handled. If some renderer is included in the list multiple times then it is removed until it is no longer contained.

Parameters

  renderers | Rendeerrs to be removed from the list.

bool IG.Gr3d.VtkDecorationHandler.IsHandlersInternal | ( | vtkRenderer | renderer | ) |
| inline protected

Returns true if the specified renderer is internal (auxiliary) renderer of the current object, false otherwise. In such a case the renderer will not take part in some operations, e.g. in determining the bounding box of the graphic scene.

Parameters

  renderer | Renderer for which we querry whether it is an internal renderer of the current helper object.

void IG.Gr3d.VtkDecorationHandler.ResetBounds | ( |  | ) |
| inline

Resets the bounds.

void IG.Gr3d.VtkDecorationHandler.UpdateBounds | ( |  | ) |
| inline protected

Updates the bounds according to eventual internal bounds (defined by actors and renderers included in the current decorator).

This also updates positioning and sizing of included decorations such that cube axes.

void IG.Gr3d.VtkDecorationHandler.UpdateBounds | ( | IBoundingBox | bounds | ) |
| inline protected

Updates the bounds according to eventual internal bounds (defined by actors and renderers included in the current decorator), and additionally also according to the specified bounds.

This also updates positioning and sizing of included decorations such that cube axes.

Parameters

  bounds | Specified bounds according to which the bounds are also decorated (beside the internal bounds).

void IG.Gr3d.VtkDecorationHandler.SetBounds | ( |  | ) |
| inline

Sets the bounds for actors that to eventual internal bounds.

Parameters

  bounds | Bounding box to which the bounds are set.

void IG.Gr3d.VtkDecorationHandler.SetBounds | ( | IBoundingBox | bounds | ) |
| inline

Sets the bounds for actors that must fill the bounding box aroung all graphic objects, to the specifid values.

Parameters

  bounds | Bounding box to which the bounds are set.

static void IG.Gr3d.VtkDecorationHandler.SetCubeAxesActorBounds | ( | vtkCubeAxesActor | actor,
|  | IBoundingBox | newBounds
| ) |  |
| inline static

Sets position and sizing of the specified cube axes actor according to the specified bounds.

Parameters

  actor | Actor whose bounds are updated.
  newBounds | New bounds of the actor.

References IG.Num.IBoundingBox.GetMax(), IG.Num.IBoundingBox.GetMin(), IG.Num.IBoundingBox.IsMaxDefined(), and IG.Num.IBoundingBox.IsMinDefined().

void IG.Gr3d.VtkDecorationHandler.UpdateBoundsInternal | ( |  | ) |
| inline protected

Updates the bounding box Bounds in such a way that it contains all actors from the internal list of actors and all renderers from the internal list of renderers.

References IG.Gr3d.UtilVtk.UpdateBounds().

void IG.Gr3d.VtkDecorationHandler.SetCubeAxesLabels | ( | string | xLabel,
|  | string | yLable,
|  | string | zLabel
| ) |  |
| inline

void IG.Gr3d.VtkDecorationHandler.SetActorScale | ( | double | X,
|  | double | Y,
|  | double | Z
| ) |  |
| inline

Referenced by IG.Gr3d.TestVtkGraphicBase.ExampleQuadCells().

void IG.Gr3d.VtkDecorationHandler.AddActorsToPlotter | ( |  | ) |
| inline

Adds all actors from the current decoration handler to the plotter that it is assigned to.

void IG.Gr3d.VtkDecorationHandler.AddActorsToPlotter | ( | VtkPlotter | plotter | ) |
| inline

Adds all actors from the current plot to the specified plotter.

Parameters

  plotter | Plotter to which actors from the current plot are added.

References IG.Gr3d.VtkPlotter.Accessor.Renderer.

void IG.Gr3d.VtkDecorationHandler.AddActorsToRenderer | ( |  | ) |
| inline

Adds all actors from the current decoraton handler to its current renderer.

void IG.Gr3d.VtkDecorationHandler.AddActorsToRenderer | ( | vtkRenderer | renderer | ) |
| inline

Adds all actors from the current decoration handler to the specified rendeerr.

Parameters

  renderer | VTK renderer to which actors from the current plot are added.

virtual void IG.Gr3d.VtkDecorationHandler.Update | ( |  | ) |
| inline virtual

Updates decorations.

## Member Data Documentation

object IG.Gr3d.VtkDecorationHandler._mainLock = new object()
| private

VtkPlotter IG.Gr3d.VtkDecorationHandler._plotter
| protected

VtkPlotter.Accessor IG.Gr3d.VtkDecorationHandler._plotterAccessor
| private

IBoundingBox IG.Gr3d.VtkDecorationHandler._bounds
| private

vtkRenderWindow IG.Gr3d.VtkDecorationHandler._window
| private

List<vtkActor> IG.Gr3d.VtkDecorationHandler._actors = new List<vtkActor>()
| private

List<vtkActor2D> IG.Gr3d.VtkDecorationHandler._actors2D = new List<vtkActor2D>()
| private

List<vtkRenderer> IG.Gr3d.VtkDecorationHandler._renderers = new List<vtkRenderer>()
| private

bool IG.Gr3d.VtkDecorationHandler._isBoundsUpdated = false
| private

vtkRenderer IG.Gr3d.VtkDecorationHandler._decorationRenderer
| protected

vtkLegendBoxActor IG.Gr3d.VtkDecorationHandler._legendBoxActor
| private

bool IG.Gr3d.VtkDecorationHandler._showLegendBox = false
| private

int IG.Gr3d.VtkDecorationHandler._legendBoxNumEntries = 1
| private

string [] IG.Gr3d.VtkDecorationHandler._legendBoxTitles = new string [1] {"Title 1"}
| private

vtkPolyData IG.Gr3d.VtkDecorationHandler._symbol
| private

vtkScalarBarActor IG.Gr3d.VtkDecorationHandler._scalarBarActor
| private

vtkLookupTable IG.Gr3d.VtkDecorationHandler._scalarBarLookupTable
| private

ColorScale IG.Gr3d.VtkDecorationHandler._lookUpTableColorScale
| private

int IG.Gr3d.VtkDecorationHandler._lookUpTableNumTableValues = 100
| private

double IG.Gr3d.VtkDecorationHandler._lookUpTableAlpha = 1
| private

double IG.Gr3d.VtkDecorationHandler._lookUpTableMinHue = 0
| private

double IG.Gr3d.VtkDecorationHandler._lookUpTableMaxHue = 1
| private

double IG.Gr3d.VtkDecorationHandler._lookUpTableMinSaturation = 0
| private

double IG.Gr3d.VtkDecorationHandler._lookUpTableMaxSaturation = 1
| private

double IG.Gr3d.VtkDecorationHandler.min = 0
| static private

double IG.Gr3d.VtkDecorationHandler.max = 1
| static private

double IG.Gr3d.VtkDecorationHandler._lookUpTableMinValue
| private

double IG.Gr3d.VtkDecorationHandler._lookUpTableMaxValue
| private

double IG.Gr3d.VtkDecorationHandler._lookUpTableMinRange
| private

double IG.Gr3d.VtkDecorationHandler._lookUpTableMaxRange
| private

int IG.Gr3d.VtkDecorationHandler._lookupTableNumColors = 100
| private

bool IG.Gr3d.VtkDecorationHandler._showSclarBar = false
| private

string IG.Gr3d.VtkDecorationHandler._scalarBarTitle = "Values"
| private

int IG.Gr3d.VtkDecorationHandler._scalarBarNumberOfLabels
| private

int IG.Gr3d.VtkDecorationHandler._scalarBarOrientation
| private

double IG.Gr3d.VtkDecorationHandler._scalarBarXPosition = 0.25
| private

double IG.Gr3d.VtkDecorationHandler._scalarBarYPosition = 0.01
| private

double IG.Gr3d.VtkDecorationHandler._scalarBarHeight = 0.1
| private

double IG.Gr3d.VtkDecorationHandler._scalarBarWidth = 0.5
| private

vtkCubeAxesActor IG.Gr3d.VtkDecorationHandler._cubeAxesActor
| protected

string IG.Gr3d.VtkDecorationHandler._cubeAxesXLabel
| private

string IG.Gr3d.VtkDecorationHandler._cubeAxesYLabel
| private

string IG.Gr3d.VtkDecorationHandler._cubeAxesZLabel
| private

double IG.Gr3d.VtkDecorationHandler._actorXScale
| private

double IG.Gr3d.VtkDecorationHandler._actorYScale
| private

double IG.Gr3d.VtkDecorationHandler._actorZScale
| private

VtkFlyMode IG.Gr3d.VtkDecorationHandler._cubeAxesFlyMode = VtkFlyMode.Static
| private

bool IG.Gr3d.VtkDecorationHandler._showCubeAxes = true
| private

color IG.Gr3d.VtkDecorationHandler._cubeAxesColor = new color(System.Drawing.Color.Gray)
| private

double IG.Gr3d.VtkDecorationHandler._cubeAxesWidth = 1
| private

bool IG.Gr3d.VtkDecorationHandler._updateWhenConstructed = true
| private

## Property Documentation

object IG.Gr3d.VtkDecorationHandler.Lock
| get

This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock.

VtkPlotter IG.Gr3d.VtkDecorationHandler.Plotter
| get set

VtkPlotter.Accessor IG.Gr3d.VtkDecorationHandler.PlotterAccessor
| get private set protected

Accessor object that grants access to some protected fields and properties of the VTK plotter (property Plotter).

vtkRenderWindow IG.Gr3d.VtkDecorationHandler.Window
| get protected set

VTK window in which plotting is performed.

List<vtkActor> IG.Gr3d.VtkDecorationHandler.Actors
| get protected

A list of Actors that are a part of the graphic scene for which axes and other decorations are handled. Mainly used for updating the bounding box. WARNING: Whenever possible, this list should not be accessed directly. Use (create them, if necessary) other methods that perform specific operations on the lisr.

List<vtkActor2D> IG.Gr3d.VtkDecorationHandler.Actors2D
| get protected

A list of Actors2D that are a part of the graphic scene for which axes and other decorations are handled. Mainly used for updating the bounding box. WARNING: Whenever possible, this list should not be accessed directly. Use (create them, if necessary) other methods that perform specific operations on the lisr.

$A Igor Oct11, Tako78 Dec13;

List<vtkRenderer> IG.Gr3d.VtkDecorationHandler.Renderers
| get protected

A list of Renderers that are a part of the graphic scene for which axes and other decorations are handled. Mainly used for updating the bounding box. WARNING: Whenever possible, this list should not be accessed directly. Use (create them, if necessary) other methods that perform specific operations on the lisr.

bool IG.Gr3d.VtkDecorationHandler.IsBoundsUpdated
| get private set

Whether bounds are updated or not, according to internal actors and renderers.

IBoundingBox IG.Gr3d.VtkDecorationHandler.Bounds
| get set protected

Bounds of the graphic scene for which axes and other decorations are handled.

vtkRenderer IG.Gr3d.VtkDecorationHandler.DecorationRenderer
| get protected set

Gets the renderer used for decoration entities (axes, etc.). Currently, no special renderer is created for tgis purpose, but one is obtained either from the list of renderers included in the 3D graphics scene, or one is obtained form the VTK window attached to this object. Lazy evaluation. Renderer is obtained only when first needed.

vtkLegendBoxActor IG.Gr3d.VtkDecorationHandler.LegendBoxActor
| get protected set

bool IG.Gr3d.VtkDecorationHandler.ShowLegendBox
| get set

Whether legend-box is shown or not. Default is false.

$A Igor Oct11, Tako78 Dec23;

Referenced by IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration().

int IG.Gr3d.VtkDecorationHandler.LegendBoxNumEntries
| get set

Number of labels in legend-box. Default 1.

$A Igor Oct11, Tako78 Dec23;

string [] IG.Gr3d.VtkDecorationHandler.LegendBoxTitles
| get set

A table of Titles for LegendBox Default is "Title 1"

$A Igor Oct11, Tako78 Dec23;

Referenced by IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration().

vtkPolyData IG.Gr3d.VtkDecorationHandler.Symbol
| get set

A table of symbols for LegendBox Default is "Sphere symbol"

$A Igor Oct11, Tako78 Dec23;

vtkScalarBarActor IG.Gr3d.VtkDecorationHandler.ScalarBarActor
| get protected set

vtkLookupTable IG.Gr3d.VtkDecorationHandler.ScalarBarLookupTable
| get set

ColorScale IG.Gr3d.VtkDecorationHandler.LookUpTableColorScale
| get set

Color scale for lookuptable. Default is rainbow.

$A Igor Oct11, Tako78 Dec22;

Referenced by IG.Forms.VectorFunctionPlotter2d.ApplySurfacePlottterSettingsDefault(), and IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration().

int IG.Gr3d.VtkDecorationHandler.LookUpTableNumTableValues
| get set

Number of table values. Default is 100.

$A Igor Oct11, Tako78 Dec22;

double IG.Gr3d.VtkDecorationHandler.LookUpTableAlpha
| get set

Alpha value for lookuptable. Default is 1.

$A Igor Oct11, Tako78 Dec23;

double IG.Gr3d.VtkDecorationHandler.LookUpTableMinHue
| get set

Minimum hue value for lookuptable. Default is 0.

$A Igor Oct11, Tako78 Dec23;

double IG.Gr3d.VtkDecorationHandler.LookUpTableMaxHue
| get set

Minimum hue value for lookuptable. Default is 1.

$A Igor Oct11, Tako78 Dec23;

double IG.Gr3d.VtkDecorationHandler.LookUpTableMinSaturation
| get set

Minimum saturation value for lookuptable. Default is 0.

$A Igor Oct11, Tako78 Dec23;

double IG.Gr3d.VtkDecorationHandler.LookUpTableMaxSaturation
| get set

Maximum saturation value for lookuptable. Default is 1.

$A Igor Oct11, Tako78 Dec23;

double IG.Gr3d.VtkDecorationHandler.LookUpTableMinValue
| get set

Minimum value for lookuptable. Default is 0.

$A Igor Oct11, Tako78 Dec22;

double IG.Gr3d.VtkDecorationHandler.LookUpTableMaxValue
| get set

Maximum value for lookuptable. Default is 1.

$A Igor Oct11, Tako78 Dec22;

double IG.Gr3d.VtkDecorationHandler.LookUpTableMinRange
| get set

Minimum range for lookuptable. Default is 0.

$A Igor Oct11, Tako78 Dec22;

Referenced by IG.Forms.VectorFunctionPlotter2d.ApplySurfacePlottterSettingsDefault(), and IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration().

double IG.Gr3d.VtkDecorationHandler.LookUpTableMaxRange
| get set

Maximum range for lookuptable. Default is 1.

$A Igor Oct11, Tako78 Dec22;

Referenced by IG.Forms.VectorFunctionPlotter2d.ApplySurfacePlottterSettingsDefault(), and IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration().

int IG.Gr3d.VtkDecorationHandler.LookUpTableNumColors
| get set

Number fo collors in lookuptable. Default is 100.

$A Igor Oct11, Tako78 Dec22;

bool IG.Gr3d.VtkDecorationHandler.ShowScalarBar
| get set

Whether scalar-bar is shown or not. Default is true.

$A Igor Oct11, Tako78 Dec13;

Referenced by IG.Forms.VectorFunctionPlotter2d.ApplySurfacePlottterSettingsDefault(), and IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration().

string IG.Gr3d.VtkDecorationHandler.ScalarBarTitle
| get set

Title for scalar bar.

$A Igor Oct11, Tako78 Dec13;

Referenced by IG.Forms.VectorFunctionPlotter2d.ApplySurfacePlottterSettingsDefault(), and IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration().

int IG.Gr3d.VtkDecorationHandler.ScalarBarNumberOfLabels
| get set

Numer of labels on the scalar bar.

$A Igor Oct11, Tako78 Dec13;

Referenced by IG.Forms.VectorFunctionPlotter2d.ApplySurfacePlottterSettingsDefault(), and IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration().

int IG.Gr3d.VtkDecorationHandler.ScalarBarOrientation
| get set

Orientation of the scalar bar. 0 - Horizontal; 1 - Vertical

$A Igor Oct11, Tako78 Dec13;

double IG.Gr3d.VtkDecorationHandler.ScalarBarXPosition
| get set

Position X of the scalar bar.

$A Igor Oct11, Tako78 Dec14;

double IG.Gr3d.VtkDecorationHandler.ScalarBarYPosition
| get set

Position Y of the scalar bar.

$A Igor Oct11, Tako78 Dec14;

double IG.Gr3d.VtkDecorationHandler.ScalarBarHeight
| get set

Hight of the scalar bar.

$A Igor Oct11, Tako78 Dec13;

double IG.Gr3d.VtkDecorationHandler.ScalarBarWidth
| get set

Width of the scalar bar.

$A Igor Oct11, Tako78 Dec13;

vtkCubeAxesActor IG.Gr3d.VtkDecorationHandler.CubeAxesActor
| get protected set

Actor that is used for manipulating cube axes.

Warning:

The returned actor can eventually be used to set properties of the axes that are not supported by the current handler object. However, it is recommended to avoid such use whenever possible because such properties may be overridden unpredictedly by the current helper object.

vtkProperty IG.Gr3d.VtkDecorationHandler.CubeAxesProperties
| get

Gets the Axes' properties, through wihich the caller can set additional properties that are not enabled by the current helper object.

Warning:

Use this only exceptionally. Changes made on the returned object may be overridden unpredictedly by the current helper object.

string IG.Gr3d.VtkDecorationHandler.CubeAxesXLabel
| get set

Label for X axis.

Referenced by IG.Forms.VectorFunctionPlotter2d.ApplySurfacePlottterSettingsDefault(), IG.Gr3d.TestVtkGraphicBase.ExampleCellsGridContours(), IG.Gr3d.TestVtkGraphicBase.ExampleCellsGridEfficient(), IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration(), and IG.Gr3d.TestVtkGraphicBase.ExampleQuadCells().

string IG.Gr3d.VtkDecorationHandler.CubeAxesYLabel
| get set

Label for Y axis.

Referenced by IG.Forms.VectorFunctionPlotter2d.ApplySurfacePlottterSettingsDefault(), and IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration().

string IG.Gr3d.VtkDecorationHandler.CubeAxesZLabel
| get set

Label for Z axis.

Referenced by IG.Forms.VectorFunctionPlotter2d.ApplySurfacePlottterSettingsDefault(), and IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration().

VtkFlyMode IG.Gr3d.VtkDecorationHandler.CubeAxesFlyMode
| get set

Positioning mode ("fly mode") of the axes. Default is VtkFlyMode.Static.

Referenced by IG.Forms.VectorFunctionPlotter2d.ApplySurfacePlottterSettingsDefault(), IG.Gr3d.TestVtkGraphicBase.ExampleCellsGridContours(), IG.Gr3d.TestVtkGraphicBase.ExampleCellsGridEfficient(), IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration(), and IG.Gr3d.TestVtkGraphicBase.ExampleQuadCells().

bool IG.Gr3d.VtkDecorationHandler.ShowCubeAxes
| get set

Whether axes are shown or not. Default is true.

Referenced by IG.Forms.VectorFunctionPlotter2d.ApplySurfacePlottterSettingsDefault(), and IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration().

color IG.Gr3d.VtkDecorationHandler.CubeAxesColor
| get set

Gets or sets axes color.

Referenced by IG.Gr3d.TestVtkGraphicBase.ExampleCellsGridContours(), IG.Gr3d.TestVtkGraphicBase.ExampleCellsGridEfficient(), and IG.Gr3d.TestVtkGraphicBase.ExampleQuadCells().

double IG.Gr3d.VtkDecorationHandler.CubeAxesWidth
| get set

Gets or sets width of the axes lines.

bool IG.Gr3d.VtkDecorationHandler.UpdateWhenConstructed
| get set

Whether decorations to be drawn are added to the VTK window's renderer immediately after the current decoration handler object is constructed.

The documentation for this class was generated from the following file:

- extensions/igplot3d/plot3d/vtkbased/VtkAxisHandler.cs